From f57176ed60d3e353ecd83c6bdd518a26b6429b95 Mon Sep 17 00:00:00 2001
From: Robert Nelson <robertcnelson@gmail.com>
Date: Tue, 17 Dec 2013 08:50:17 -0600
Subject: [PATCH] chroot: setup xorg.conf after package install

Signed-off-by: Robert Nelson <robertcnelson@gmail.com>
---
 scripts/chroot.sh | 62 +++++++++++++++++++++++------------------------
 1 file changed, 31 insertions(+), 31 deletions(-)

diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index f9fb9473d..70361ceff 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -320,37 +320,6 @@ debian)
 
 	sudo mv /tmp/${wfile} ${tempdir}/etc/init.d/${wfile}
 
-	if [ "x${chroot_enable_xorg}" = "xenable" ] ; then
-		wfile="xorg.conf"
-		cat > /tmp/${wfile} <<-__EOF__
-			Section "Monitor"
-			                Identifier      "Builtin Default Monitor"
-			        EndSection
-
-			        Section "Device"
-			                Identifier      "Builtin Default fbdev Device 0"
-			                Driver          "modesetting"
-			                Option          "HWcursor"      "false"
-			        EndSection
-
-			        Section "Screen"
-			                Identifier      "Builtin Default fbdev Screen 0"
-			                Device          "Builtin Default fbdev Device 0"
-			                Monitor         "Builtin Default Monitor"
-			                DefaultDepth    16
-			        EndSection
-
-			        Section "ServerLayout"
-			                Identifier      "Builtin Default Layout"
-			                Screen          "Builtin Default fbdev Screen 0"
-			        EndSection
-
-		__EOF__
-
-		sudo mkdir -p ${tempdir}/etc/X11/ || true
-		sudo mv /tmp/${wfile} ${tempdir}/etc/X11/${wfile}
-	fi
-
 	#Backward compatibility, as setup_sdcard.sh expects [lsb_release -si > /etc/rcn-ee.conf]
 	echo "distro=Debian" > /tmp/rcn-ee.conf
 	sudo mv /tmp/rcn-ee.conf ${tempdir}/etc/rcn-ee.conf
@@ -884,6 +853,37 @@ chroot_mount
 sudo chroot ${tempdir} /bin/sh chroot_script.sh
 echo "Log: Complete: [sudo chroot ${tempdir} /bin/sh chroot_script.sh]"
 
+if [ "x${chroot_enable_xorg}" = "xenable" ] ; then
+	wfile="xorg.conf"
+	cat > /tmp/${wfile} <<-__EOF__
+		Section "Monitor"
+		                Identifier      "Builtin Default Monitor"
+		        EndSection
+
+		        Section "Device"
+		                Identifier      "Builtin Default fbdev Device 0"
+		                Driver          "modesetting"
+		                Option          "HWcursor"      "false"
+		        EndSection
+
+		        Section "Screen"
+		                Identifier      "Builtin Default fbdev Screen 0"
+		                Device          "Builtin Default fbdev Device 0"
+		                Monitor         "Builtin Default Monitor"
+		                DefaultDepth    16
+		        EndSection
+
+		        Section "ServerLayout"
+		                Identifier      "Builtin Default Layout"
+		                Screen          "Builtin Default fbdev Screen 0"
+		        EndSection
+
+	__EOF__
+
+	sudo mkdir -p ${tempdir}/etc/X11/ || true
+	sudo mv /tmp/${wfile} ${tempdir}/etc/X11/${wfile}
+fi
+
 if [ -d ${DIR}/deploy/${export_filename}/ ] ; then
 	rm -rf ${DIR}/deploy/${export_filename}/ || true
 fi
-- 
GitLab